summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaúl Porcel <armin76@gentoo.org>2011-04-17 19:18:10 +0200
committerRaúl Porcel <armin76@gentoo.org>2011-04-17 19:18:10 +0200
commit18f87cb140ef5e299af0bb6576f20fd5834f508a (patch)
treef71f34fcddf3632271f1861f0e0f56297f0a26c3 /x11-drivers/pvr-omap4-kernel
parentAdd ebuild for gst-plugins-v4l2. (diff)
downloadpandaboard-18f87cb140ef5e299af0bb6576f20fd5834f508a.tar.gz
pandaboard-18f87cb140ef5e299af0bb6576f20fd5834f508a.tar.bz2
pandaboard-18f87cb140ef5e299af0bb6576f20fd5834f508a.zip
Add 2.6.38 ebuilds
Diffstat (limited to 'x11-drivers/pvr-omap4-kernel')
-rw-r--r--x11-drivers/pvr-omap4-kernel/Manifest6
-rw-r--r--x11-drivers/pvr-omap4-kernel/pvr-omap4-kernel-1.7.ebuild (renamed from x11-drivers/pvr-omap4-kernel/pvr-omap4-kernel-0.24.9.ebuild)19
2 files changed, 12 insertions, 13 deletions
diff --git a/x11-drivers/pvr-omap4-kernel/Manifest b/x11-drivers/pvr-omap4-kernel/Manifest
index 330388b..df27fe3 100644
--- a/x11-drivers/pvr-omap4-kernel/Manifest
+++ b/x11-drivers/pvr-omap4-kernel/Manifest
@@ -1,4 +1,4 @@
-DIST pvr-omap4-kernel_0.24.9-2.diff.gz 5198 RMD160 851c03ecf256bf5b48ee6999036ea3b4aaa55853 SHA1 cf10d0f0df7db2443ba0abadb040be404f504a7d SHA256 e8f26952e588dfe0d009df909faa4d9cceaaacecf48fc5902544c71506a2c81d
-DIST pvr-omap4-kernel_0.24.9.orig.tar.gz 325677 RMD160 337236a41bc6d8a19b61214873bc80fcacea4151 SHA1 9b05cc80e93ee8eac34c73068386efeb417c3cf0 SHA256 0b404586a23eaebaa586ec18fd1da8cb3eed7682b1887823527ac62195e104bb
-EBUILD pvr-omap4-kernel-0.24.9.ebuild 998 RMD160 6b42cd3f6b27acc99e6a1b2d5157111408a71f96 SHA1 6d60f97d3aae672c1b8b5b8afcbf9d47b55e9003 SHA256 f35b29f7befd00746d7b56e6a312295f140efd1d78cb10f1d9e9f9f9460a0beb
+DIST pvr-omap4-kernel_1.7~git0f0b25f-2natty2.diff.gz 13621 RMD160 6399193111e475d79f579536f93885a83bd088b8 SHA1 e931e78cdb2abe23355c13656b915b7deb83ded3 SHA256 fd00668d34b698af60d0d62454a268a6aa98da522ab265153fb4f2310ba308fb
+DIST pvr-omap4-kernel_1.7~git0f0b25f.orig.tar.gz 379145 RMD160 a22e28d016bd5f0e3e8684ef8f315b8e6e2f0155 SHA1 c03dde4b540238526fd17df2705961db29871d4e SHA256 f0302437c159224cb591d41f29c44404941e97dc106cdfe588357b449545b18a
+EBUILD pvr-omap4-kernel-1.7.ebuild 948 RMD160 b3d20bbda4d9c22991ce213c29a5aecf4c70aa60 SHA1 5e78bc484dd28925e335a4879f070e551f2ba40e SHA256 92a181e281a946148438fc80372bb36ade820b67931e1e147e7674f0761f0813
MISC ChangeLog 282 RMD160 0855c8692ee9341c2362eced70bf4572b58316f5 SHA1 5a1a636c8e89b3d701126445f4bb167c4c3bbdda SHA256 be2697730c16019faba9e3440abca06ea219ef08744be943e97b5c9e2240a2d2
diff --git a/x11-drivers/pvr-omap4-kernel/pvr-omap4-kernel-0.24.9.ebuild b/x11-drivers/pvr-omap4-kernel/pvr-omap4-kernel-1.7.ebuild
index 816fad5..46a4f3e 100644
--- a/x11-drivers/pvr-omap4-kernel/pvr-omap4-kernel-0.24.9.ebuild
+++ b/x11-drivers/pvr-omap4-kernel/pvr-omap4-kernel-1.7.ebuild
@@ -9,8 +9,8 @@ inherit eutils linux-mod
DESCRIPTION="PowerVR SGX540 kernel driver for OMAP4"
HOMEPAGE=""
-SRC_URI="https://launchpad.net/~tiomap-dev/+archive/release/+files/${PN}_${PV}.orig.tar.gz
-https://launchpad.net/~tiomap-dev/+archive/release/+files/${PN}_${PV}-2.diff.gz"
+SRC_URI="https://launchpad.net/~tiomap-dev/+archive/omap-trunk/+files/${PN}_1.7~git0f0b25f.orig.tar.gz
+https://launchpad.net/~tiomap-dev/+archive/omap-trunk/+files/${PN}_1.7~git0f0b25f-2natty2.diff.gz"
LICENSE="TI"
@@ -21,25 +21,24 @@ IUSE=""
DEPEND=""
S="${WORKDIR}/${P}/sgx"
-RESTRICT="strip"
+#RESTRICT="strip"
src_prepare() {
cd "${WORKDIR}"
epatch *.diff
-
- cd "${S}/.."
+
+ mv pvr-omap4-kernel-1.7~git0f0b25f ${P}
+
+ cd "${P}"
+
epatch debian/patches/*.patch
}
src_compile() {
-# cd eurasiacon/build/linux/omap4430_linux/kbuild/
-
- export SUPPORT_XORG=1
- emake -j1 KERNELDIR="${KV_DIR}" LDFLAGS="" || die
+ emake -j1 KERNELDIR="${KV_DIR}" LDFLAGS="" FLAVOUR=release || die
}
src_install() {
insinto /lib/modules/${KV_FULL}/kernel/extra
-# doins eurasiacon/binary_omap4430_linux_release/pvrsrvkm.ko
doins pvrsrvkm.ko
}